# $Revision: 1.11 $, $Date: 2008/12/26 00:25:37 $
%define		_modname	expect
%define		_status		beta
Summary:	%{_modname} - PHP extension for expect library
Summary(pl.UTF-8):	%{_modname} - rozszerzenie PHP dla biblioteki expect
Name:		php-pecl-%{_modname}
Version:	0.2.5
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	9e117df935a0bbf66ffa7e8ef30a391b
URL:		http://pecl.php.net/package/expect/
BuildRequires:	expect-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows to interact with processes through PTY, using
expect library.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na interakcję z procesami poprzez PTY przy
użyciu biblioteki expect.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-expect.spec,v $
Revision 1.11  2008/12/26 00:25:37  adamg
- updated to 0.2.5

Revision 1.10  2008/08/28 09:26:59  arekm
- up to 0.2.4

Revision 1.9  2008/07/05 14:48:08  arekm
- release 2

Revision 1.8  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.6  2006/12/20 00:08:48  glen
- use new php extension related macros

Revision 1.5  2006/12/13 22:26:28  glen
- update to 0.2.2

Revision 1.4  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.3  2006/07/04 13:29:13  adamg
- updated to 0.2.1

Revision 1.2  2006/03/24 20:22:11  qboosh
- pl

Revision 1.1  2006/03/24 09:00:38  arekm
- new
